apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "static-frontend.fullname" . }}-test-connection"
  labels:
    app.kubernetes.io/name: {{ include "static-frontend.name" . }}
    helm.sh/chart: {{ include "static-frontend.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
  annotations:
    "helm.sh/hook": test-success
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args:  ['{{ include "static-frontend.fullname" . }}:{{ .Values.service.port }}']
  restartPolicy: Never
